Package com.microblink.blinkid.entities.recognizers.blinkid.generic

# Class AdditionalProcessingInfo

java.lang.Object
com.microblink.blinkid.entities.recognizers.blinkid.generic.AdditionalProcessingInfo

All Implemented Interfaces:
  `android.os.Parcelable`

public class AdditionalProcessingInfo extends Object implements android.os.Parcelable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<AdditionalProcessingInfo>`
  `CREATOR`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AdditionalProcessingInfo(android.os.Parcel in)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AdditionalProcessingInfo`
  `createFromNative(int[] missingMandatoryFieldsArray, int[] invalidCharacterFieldsArray, int[] extraPresentFieldsArray, int[] imageExtractionFailuresArray)`
  This method is called from native code to build `AdditionalProcessingInfo` from native object.
  `int`
  `describeContents()`
  `FieldType[]`
  `getExtraPresentFields()`
  List of fields that weren't expected on the document but were present.
  `ImageExtractionType[]`
  `getImageExtractionFailures()`
  List of failed image extractions.
  `FieldType[]`
  `getInvalidCharacterFields()`
  List of fields that contained characters which were not expected in that field.
  `FieldType[]`
  `getMissingMandatoryFields()`
  List of fields that were expected on the document but were missing.
  `boolean`
  `isEmpty()`
  Checks whether data is empty.
  `String`
  `toString()`
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    public static final android.os.Parcelable.Creator<AdditionalProcessingInfo> CREATOR

- ## Constructor Details

  - ### AdditionalProcessingInfo

    protected AdditionalProcessingInfo(android.os.Parcel in)

- ## Method Details

  - ### getMissingMandatoryFields

    public FieldType[] getMissingMandatoryFields()
    List of fields that were expected on the document but were missing.

  - ### getInvalidCharacterFields

    public FieldType[] getInvalidCharacterFields()
    List of fields that contained characters which were not expected in that field.

  - ### getExtraPresentFields

    public FieldType[] getExtraPresentFields()
    List of fields that weren't expected on the document but were present.

  - ### getImageExtractionFailures

    public ImageExtractionType[] getImageExtractionFailures()
    List of failed image extractions.

  - ### isEmpty

    public boolean isEmpty()
    Checks whether data is empty. Data is empty if all fields are empty.
    Returns:
      `true` if data is empty, false otherwise.

  - ### createFromNative

    @NonNull public static AdditionalProcessingInfo createFromNative(@NonNull int[] missingMandatoryFieldsArray, @NonNull int[] invalidCharacterFieldsArray, @NonNull int[] extraPresentFieldsArray, @NonNull int[] imageExtractionFailuresArray)
    This method is called from native code to build `AdditionalProcessingInfo` from native object.

  - ### writeToParcel

    public void writeToParcel(android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`